Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeTypeFlashCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType
it.tdlight.jni.TdApi.AuthenticationCodeTypeFlashCall

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeTypeFlashCall extends TdApi.AuthenticationCodeType
An authentication code is delivered by an immediately canceled call to the specified phone number. The number from which the call was made is the code.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`pattern`
Pattern of the phone number from which the call will be made.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeTypeFlashCall()`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeFlashCall(DataInput input)`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeFlashCall(String pattern)`
An authentication code is delivered by an immediately canceled call to the specified phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pattern

public String pattern
Pattern of the phone number from which the call will be made.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall()
An authentication code is delivered by an immediately canceled call to the specified phone number. The number from which the call was made is the code.

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall(String pattern)
An authentication code is delivered by an immediately canceled call to the specified phone number. The number from which the call was made is the code.

Parameters:
  `pattern` - String Pattern of the phone number from which the call will be made.

### AuthenticationCodeTypeFlashCall

public AuthenticationCodeTypeFlashCall(DataInput input) throws IOException
An authentication code is delivered by an immediately canceled call to the specified phone number. The number from which the call was made is the code.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`